CA PPM: "New periods must not create a gap with the existing periods"

Document ID : KB000008898
Last Modified Date : 06/12/2018
Show Technical Document Details
Issue:

We are attempting to add or change the Administration > Finance > Setup > entity > Fiscal Time Periods

However, when we try to enter the changes, the following message displays: "New periods must not create a gap with the existing periods".
 

Environment:
CA PPM 15.2 and 15.3
Cause:

The following are potential causes:

1. There are already one or more fiscal time periods created with the same date range.
2. Attempting to edit the dates of existing fiscal periods outside the first and last periods. (see KB000122452)
3. If the above two are not the cause, then it is due to defect DE36786, which is fixed in CA PPM 15.4+

Resolution:

A. For causes 1& 2 above: Overlapping date ranges/attempting to change dates of periods aside from the first and last, proceed to delete and re-create the periods.

B. For the defect identified (DE36786) see: KB000117848. The workaround is to click the "Translate" icon, and change the period name/label for the given language.